> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session by ID or session_id



## OpenAPI

````yaml get /v1/sessions/{session_identifier}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/sessions/{session_identifier}:
    get:
      tags:
        - sessions
      summary: Get session by ID or session_id
      operationId: getSession
      parameters:
        - name: session_identifier
          in: path
          required: true
          schema:
            type: string
            description: >-
              The session identifier: either a GlobalID or user-provided
              session_id string.
            title: Session Identifier
          description: >-
            The session identifier: either a GlobalID or user-provided
            session_id string.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSessionResponseBody'
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity
components:
  schemas:
    GetSessionResponseBody:
      properties:
        data:
          $ref: '#/components/schemas/SessionData'
      type: object
      required:
        - data
      title: GetSessionResponseBody
    SessionData:
      properties:
        id:
          type: string
          title: Id
        session_id:
          type: string
          title: Session Id
        project_id:
          type: string
          title: Project Id
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
        traces:
          items:
            $ref: '#/components/schemas/SessionTraceData'
          type: array
          title: Traces
        token_count_prompt:
          type: integer
          title: Token Count Prompt
          description: Cumulative prompt token count across all spans in the session.
          default: 0
        token_count_completion:
          type: integer
          title: Token Count Completion
          description: Cumulative completion token count across all spans in the session.
          default: 0
        token_count_total:
          type: integer
          title: Token Count Total
          description: >-
            Cumulative total token count across all spans in the session (prompt
            + completion).
          default: 0
      type: object
      required:
        - id
        - session_id
        - project_id
        - start_time
        - end_time
        - traces
      title: SessionData
    SessionTraceData:
      properties:
        id:
          type: string
          title: Id
        trace_id:
          type: string
          title: Trace Id
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
      type: object
      required:
        - id
        - trace_id
        - start_time
        - end_time
      title: SessionTraceData

````